Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks
[Java] Class AbstractCopyTask

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.AbstractCopyTask

All Implemented Interfaces:
  CopySpec, org.gradle.api.internal.file.copy.CopySpecSource

    public abstract class AbstractCopyTask
    extends org.gradle.api.internal.ConventionTask

`AbstractCopyTask` is the base class for all copy tasks.

Field Summary

Fields inherited from class org.gradle.api.internal.ConventionTask
TASK_NAME, TASK_DESCRIPTION, TASK_GROUP, TASK_TYPE, TASK_DEPENDS_ON, TASK_OVERWRITE, TASK_ACTION

Fields inherited from class DefaultTask
TASK_NAME, TASK_DESCRIPTION, TASK_GROUP, TASK_TYPE, TASK_DEPENDS_ON, TASK_OVERWRITE, TASK_ACTION

Fields inherited from class org.gradle.api.internal.AbstractTask
TASK_NAME, TASK_DESCRIPTION, TASK_GROUP, TASK_TYPE, TASK_DEPENDS_ON, TASK_OVERWRITE, TASK_ACTION

Method Summary
`protected void` | `configureRootSpec()`
`protected void` | `copy()`
`AbstractCopyTask` | `eachFile(Action action)` {@inheritDoc}
`AbstractCopyTask` | `eachFile(groovy.lang.Closure closure)` {@inheritDoc}
`AbstractCopyTask` | `exclude(java.lang.String excludes)` {@inheritDoc}
`AbstractCopyTask` | `exclude(java.lang.Iterable excludes)` {@inheritDoc}
`AbstractCopyTask` | `exclude(Spec excludeSpec)` {@inheritDoc}
`AbstractCopyTask` | `exclude(groovy.lang.Closure excludeSpec)` {@inheritDoc}
`AbstractCopyTask` | `expand(java.util.Map properties)` {@inheritDoc}
`AbstractCopyTask` | `filter(java.util.Map properties, java.lang.Class filterType)` {@inheritDoc}
`AbstractCopyTask` | `filter(java.lang.Class filterType)` {@inheritDoc}
`AbstractCopyTask` | `filter(groovy.lang.Closure closure)` {@inheritDoc}
`AbstractCopyTask` | `from(java.lang.Object sourcePaths)` {@inheritDoc}
`AbstractCopyTask` | `from(java.lang.Object sourcePath, groovy.lang.Closure c)` {@inheritDoc}
`protected org.gradle.api.internal.file.copy.CopyActionImpl` | `getCopyAction()`
`FileCollection` | `getDefaultSource()`
`int` | `getDirMode()` {@inheritDoc}
`java.util.Set` | `getExcludes()` {@inheritDoc}
`int` | `getFileMode()` {@inheritDoc}
`boolean` | `getIncludeEmptyDirs()` {@inheritDoc}
`java.util.Set` | `getIncludes()` {@inheritDoc}
`protected CopySpec` | `getMainSpec()`
`org.gradle.api.internal.file.copy.ReadableCopySpec` | `getRootSpec()`
`FileCollection` | `getSource()` Returns the source files for this task.
`AbstractCopyTask` | `include(java.lang.String includes)` {@inheritDoc}
`AbstractCopyTask` | `include(java.lang.Iterable includes)` {@inheritDoc}
`AbstractCopyTask` | `include(Spec includeSpec)` {@inheritDoc}
`AbstractCopyTask` | `include(groovy.lang.Closure includeSpec)` {@inheritDoc}
`AbstractCopyTask` | `into(java.lang.Object destDir)` {@inheritDoc}
`AbstractCopyTask` | `into(java.lang.Object destPath, groovy.lang.Closure configureClosure)` {@inheritDoc}
`boolean` | `isCaseSensitive()` {@inheritDoc}
`AbstractCopyTask` | `rename(groovy.lang.Closure closure)` {@inheritDoc}
`AbstractCopyTask` | `rename(java.lang.String sourceRegEx, java.lang.String replaceWith)` {@inheritDoc}
`AbstractCopyTask` | `rename(java.util.regex.Pattern sourceRegEx, java.lang.String replaceWith)` {@inheritDoc}
`void` | `setCaseSensitive(boolean caseSensitive)` {@inheritDoc}
`AbstractCopyTask` | `setDirMode(int mode)` {@inheritDoc}
`AbstractCopyTask` | `setExcludes(java.lang.Iterable excludes)` {@inheritDoc}
`AbstractCopyTask` | `setFileMode(int mode)` {@inheritDoc}
`void` | `setIncludeEmptyDirs(boolean includeEmptyDirs)` {@inheritDoc}
`AbstractCopyTask` | `setIncludes(java.lang.Iterable includes)` {@inheritDoc}
`CopySpec` | `with(CopySpec sourceSpecs)` {@inheritDoc}

Methods inherited from class org.gradle.api.internal.ConventionTask
org.gradle.api.internal.ConventionTask#conventionMapping(java.lang.String, org.gradle.api.tasks.ConventionValue), org.gradle.api.internal.ConventionTask#getConventionMapping(), org.gradle.api.internal.ConventionTask#setConventionMapping(org.gradle.api.internal.ConventionMapping), org.gradle.api.internal.ConventionTask#setProperty(java.lang.String, java.lang.Object), org.gradle.api.internal.ConventionTask#toString(), org.gradle.api.internal.ConventionTask#compareTo(org.gradle.api.Task), org.gradle.api.internal.ConventionTask#compareTo(java.lang.Object), org.gradle.api.internal.ConventionTask#getName(), org.gradle.api.internal.ConventionTask#getActions(), org.gradle.api.internal.ConventionTask#setName(java.lang.String), org.gradle.api.internal.ConventionTask#getState(), org.gradle.api.internal.ConventionTask#getPath(), org.gradle.api.internal.ConventionTask#getLogger(), org.gradle.api.internal.ConventionTask#execute(), org.gradle.api.internal.ConventionTask#configure(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#configure(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#getDescription(), org.gradle.api.internal.ConventionTask#isEnabled(), org.gradle.api.internal.ConventionTask#captureStandardOutput(org.gradle.api.logging.LogLevel), org.gradle.api.internal.ConventionTask#disableStandardOutputCapture(), org.gradle.api.internal.ConventionTask#property(java.lang.String), org.gradle.api.internal.ConventionTask#setEnabled(boolean), org.gradle.api.internal.ConventionTask#setDescription(java.lang.String), org.gradle.api.internal.ConventionTask#getProject(), org.gradle.api.internal.ConventionTask#getGroup(), org.gradle.api.internal.ConventionTask#setGroup(java.lang.String), org.gradle.api.internal.ConventionTask#dependsOn([Ljava.lang.Object;), org.gradle.api.internal.ConventionTask#getAnt(), org.gradle.api.internal.ConventionTask#getConvention(), org.gradle.api.internal.ConventionTask#hasProperty(java.lang.String), org.gradle.api.internal.ConventionTask#getLogging(), org.gradle.api.internal.ConventionTask#getExtensions(), org.gradle.api.internal.ConventionTask#executeWithoutThrowingTaskFailure(), org.gradle.api.internal.ConventionTask#setActions(java.util.List), org.gradle.api.internal.ConventionTask#getTaskDependencies(), org.gradle.api.internal.ConventionTask#getTaskDependencies(), org.gradle.api.internal.ConventionTask#getDependsOn(), org.gradle.api.internal.ConventionTask#setDependsOn(java.lang.Iterable), org.gradle.api.internal.ConventionTask#onlyIf(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#onlyIf(org.gradle.api.specs.Spec), org.gradle.api.internal.ConventionTask#setOnlyIf(org.gradle.api.specs.Spec), org.gradle.api.internal.ConventionTask#setOnlyIf(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#setDidWork(boolean), org.gradle.api.internal.ConventionTask#getDidWork(), org.gradle.api.internal.ConventionTask#doFirst(org.gradle.api.Action), org.gradle.api.internal.ConventionTask#doFirst(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#doLast(org.gradle.api.Action), org.gradle.api.internal.ConventionTask#doLast(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#leftShift(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#deleteAllActions(), org.gradle.api.internal.ConventionTask#getEnabled(), org.gradle.api.internal.ConventionTask#dependsOnTaskDidWork(), org.gradle.api.internal.ConventionTask#getInputs(), org.gradle.api.internal.ConventionTask#getOutputs(), org.gradle.api.internal.ConventionTask#getOutputs(), org.gradle.api.internal.ConventionTask#getTemporaryDir(), org.gradle.api.internal.ConventionTask#setProject(org.gradle.api.Project), org.gradle.api.internal.ConventionTask#getStandardOutputCapture(), org.gradle.api.internal.ConventionTask#getAdditionalProperties(), org.gradle.api.internal.ConventionTask#getDynamicObjectHelper(), org.gradle.api.internal.ConventionTask#getAsDynamicObject(), org.gradle.api.internal.ConventionTask#addValidator(org.gradle.api.internal.tasks.execution.TaskValidator), org.gradle.api.internal.ConventionTask#getValidators(), org.gradle.api.internal.ConventionTask#getExecuter(), org.gradle.api.internal.ConventionTask#setExecuter(org.gradle.api.internal.tasks.TaskExecuter), org.gradle.api.internal.ConventionTask#getOnlyIf(), org.gradle.api.internal.ConventionTask#injectIntoNewInstance(org.gradle.api.internal.project.ProjectInternal, java.lang.String, java.util.concurrent.Callable), org.gradle.api.internal.ConventionTask#wait(long), org.gradle.api.internal.ConventionTask#wait(long, int), org.gradle.api.internal.ConventionTask#wait(), org.gradle.api.internal.ConventionTask#equals(java.lang.Object), org.gradle.api.internal.ConventionTask#hashCode(), org.gradle.api.internal.ConventionTask#getClass(), org.gradle.api.internal.ConventionTask#notify(), org.gradle.api.internal.ConventionTask#notifyAll()

Methods inherited from class DefaultTask
setProperty, toString, compareTo, compareTo, getName, getActions, setName, getState, getPath, getLogger, execute, configure, configure, getDescription, isEnabled, captureStandardOutput, disableStandardOutputCapture, property, setEnabled, setDescription, getProject, getGroup, setGroup, dependsOn, getAnt, getConvention, hasProperty, getLogging, getExtensions, executeWithoutThrowingTaskFailure, setActions, getTaskDependencies, getTaskDependencies, getDependsOn, setDependsOn, onlyIf, onlyIf, setOnlyIf, setOnlyIf, setDidWork, getDidWork, doFirst, doFirst, doLast, doLast, leftShift, deleteAllActions, getEnabled, dependsOnTaskDidWork, getInputs, getOutputs, getOutputs, getTemporaryDir, setProject, getStandardOutputCapture, getAdditionalProperties, getDynamicObjectHelper, getAsDynamicObject, addValidator, getValidators, getExecuter, setExecuter, getOnlyIf, injectIntoNewInstance, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class org.gradle.api.internal.AbstractTask
org.gradle.api.internal.AbstractTask#setProperty(java.lang.String, java.lang.Object), org.gradle.api.internal.AbstractTask#toString(), org.gradle.api.internal.AbstractTask#compareTo(org.gradle.api.Task), org.gradle.api.internal.AbstractTask#compareTo(java.lang.Object), org.gradle.api.internal.AbstractTask#getName(), org.gradle.api.internal.AbstractTask#getActions(), org.gradle.api.internal.AbstractTask#setName(java.lang.String), org.gradle.api.internal.AbstractTask#getState(), org.gradle.api.internal.AbstractTask#getPath(), org.gradle.api.internal.AbstractTask#getLogger(), org.gradle.api.internal.AbstractTask#execute(), org.gradle.api.internal.AbstractTask#configure(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#configure(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#getDescription(), org.gradle.api.internal.AbstractTask#isEnabled(), org.gradle.api.internal.AbstractTask#captureStandardOutput(org.gradle.api.logging.LogLevel), org.gradle.api.internal.AbstractTask#disableStandardOutputCapture(), org.gradle.api.internal.AbstractTask#property(java.lang.String), org.gradle.api.internal.AbstractTask#setEnabled(boolean), org.gradle.api.internal.AbstractTask#setDescription(java.lang.String), org.gradle.api.internal.AbstractTask#getProject(), org.gradle.api.internal.AbstractTask#getGroup(), org.gradle.api.internal.AbstractTask#setGroup(java.lang.String), org.gradle.api.internal.AbstractTask#dependsOn([Ljava.lang.Object;), org.gradle.api.internal.AbstractTask#getAnt(), org.gradle.api.internal.AbstractTask#getConvention(), org.gradle.api.internal.AbstractTask#hasProperty(java.lang.String), org.gradle.api.internal.AbstractTask#getLogging(), org.gradle.api.internal.AbstractTask#getExtensions(), org.gradle.api.internal.AbstractTask#executeWithoutThrowingTaskFailure(), org.gradle.api.internal.AbstractTask#setActions(java.util.List), org.gradle.api.internal.AbstractTask#getTaskDependencies(), org.gradle.api.internal.AbstractTask#getTaskDependencies(), org.gradle.api.internal.AbstractTask#getDependsOn(), org.gradle.api.internal.AbstractTask#setDependsOn(java.lang.Iterable), org.gradle.api.internal.AbstractTask#onlyIf(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#onlyIf(org.gradle.api.specs.Spec), org.gradle.api.internal.AbstractTask#setOnlyIf(org.gradle.api.specs.Spec), org.gradle.api.internal.AbstractTask#setOnlyIf(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#setDidWork(boolean), org.gradle.api.internal.AbstractTask#getDidWork(), org.gradle.api.internal.AbstractTask#doFirst(org.gradle.api.Action), org.gradle.api.internal.AbstractTask#doFirst(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#doLast(org.gradle.api.Action), org.gradle.api.internal.AbstractTask#doLast(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#leftShift(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#deleteAllActions(), org.gradle.api.internal.AbstractTask#getEnabled(), org.gradle.api.internal.AbstractTask#dependsOnTaskDidWork(), org.gradle.api.internal.AbstractTask#getInputs(), org.gradle.api.internal.AbstractTask#getOutputs(), org.gradle.api.internal.AbstractTask#getOutputs(), org.gradle.api.internal.AbstractTask#getTemporaryDir(), org.gradle.api.internal.AbstractTask#setProject(org.gradle.api.Project), org.gradle.api.internal.AbstractTask#getStandardOutputCapture(), org.gradle.api.internal.AbstractTask#getAdditionalProperties(), org.gradle.api.internal.AbstractTask#getDynamicObjectHelper(), org.gradle.api.internal.AbstractTask#getAsDynamicObject(), org.gradle.api.internal.AbstractTask#addValidator(org.gradle.api.internal.tasks.execution.TaskValidator), org.gradle.api.internal.AbstractTask#getValidators(), org.gradle.api.internal.AbstractTask#getExecuter(), org.gradle.api.internal.AbstractTask#setExecuter(org.gradle.api.internal.tasks.TaskExecuter), org.gradle.api.internal.AbstractTask#getOnlyIf(), org.gradle.api.internal.AbstractTask#injectIntoNewInstance(org.gradle.api.internal.project.ProjectInternal, java.lang.String, java.util.concurrent.Callable), org.gradle.api.internal.AbstractTask#wait(long), org.gradle.api.internal.AbstractTask#wait(long, int), org.gradle.api.internal.AbstractTask#wait(), org.gradle.api.internal.AbstractTask#equals(java.lang.Object), org.gradle.api.internal.AbstractTask#hashCode(), org.gradle.api.internal.AbstractTask#getClass(), org.gradle.api.internal.AbstractTask#notify(), org.gradle.api.internal.AbstractTask#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### configureRootSpec

    protected void configureRootSpec()

### copy

    @TaskAction
    protected void copy()

### eachFile

    public AbstractCopyTask eachFile(Action action)

  {@inheritDoc}

### eachFile

    public AbstractCopyTask eachFile(groovy.lang.Closure closure)

  {@inheritDoc}

### exclude

    public AbstractCopyTask exclude(java.lang.String excludes)

  {@inheritDoc}

### exclude

    public AbstractCopyTask exclude(java.lang.Iterable excludes)

  {@inheritDoc}

### exclude

    public AbstractCopyTask exclude(Spec excludeSpec)

  {@inheritDoc}

### exclude

    public AbstractCopyTask exclude(groovy.lang.Closure excludeSpec)

  {@inheritDoc}

### expand

    public AbstractCopyTask expand(java.util.Map properties)

  {@inheritDoc}

### filter

    public AbstractCopyTask filter(java.util.Map properties, java.lang.Class filterType)

  {@inheritDoc}

### filter

    public AbstractCopyTask filter(java.lang.Class filterType)

  {@inheritDoc}

### filter

    public AbstractCopyTask filter(groovy.lang.Closure closure)

  {@inheritDoc}

### from

    public AbstractCopyTask from(java.lang.Object sourcePaths)

  {@inheritDoc}

### from

    public AbstractCopyTask from(java.lang.Object sourcePath, groovy.lang.Closure c)

  {@inheritDoc}

### getCopyAction

    protected org.gradle.api.internal.file.copy.CopyActionImpl getCopyAction()

### getDefaultSource

    public FileCollection getDefaultSource()

### getDirMode

    public int getDirMode()

  {@inheritDoc}

### getExcludes

    public java.util.Set getExcludes()

  {@inheritDoc}

### getFileMode

    public int getFileMode()

  {@inheritDoc}

### getIncludeEmptyDirs

    public boolean getIncludeEmptyDirs()

  {@inheritDoc}

### getIncludes

    public java.util.Set getIncludes()

  {@inheritDoc}

### getMainSpec

    protected CopySpec getMainSpec()

### getRootSpec

    public org.gradle.api.internal.file.copy.ReadableCopySpec getRootSpec()

### getSource

    @InputFiles
    @SkipWhenEmpty
    @Optional
    public FileCollection getSource()

  Returns the source files for this task.
  Returns:
    The source files. Never returns null.

### include

    public AbstractCopyTask include(java.lang.String includes)

  {@inheritDoc}

### include

    public AbstractCopyTask include(java.lang.Iterable includes)

  {@inheritDoc}

### include

    public AbstractCopyTask include(Spec includeSpec)

  {@inheritDoc}

### include

    public AbstractCopyTask include(groovy.lang.Closure includeSpec)

  {@inheritDoc}

### into

    public AbstractCopyTask into(java.lang.Object destDir)

  {@inheritDoc}

### into

    public AbstractCopyTask into(java.lang.Object destPath, groovy.lang.Closure configureClosure)

  {@inheritDoc}

### isCaseSensitive

    public boolean isCaseSensitive()

  {@inheritDoc}

### rename

    public AbstractCopyTask rename(groovy.lang.Closure closure)

  {@inheritDoc}

### rename

    public AbstractCopyTask rename(java.lang.String sourceRegEx, java.lang.String replaceWith)

  {@inheritDoc}

### rename

    public AbstractCopyTask rename(java.util.regex.Pattern sourceRegEx, java.lang.String replaceWith)

  {@inheritDoc}

### setCaseSensitive

    public void setCaseSensitive(boolean caseSensitive)

  {@inheritDoc}

### setDirMode

    public AbstractCopyTask setDirMode(int mode)

  {@inheritDoc}

### setExcludes

    public AbstractCopyTask setExcludes(java.lang.Iterable excludes)

  {@inheritDoc}

### setFileMode

    public AbstractCopyTask setFileMode(int mode)

  {@inheritDoc}

### setIncludeEmptyDirs

    public void setIncludeEmptyDirs(boolean includeEmptyDirs)

  {@inheritDoc}

### setIncludes

    public AbstractCopyTask setIncludes(java.lang.Iterable includes)

  {@inheritDoc}

### with

    public CopySpec with(CopySpec sourceSpecs)

  {@inheritDoc}

Groovy Documentation